> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtenir l’état de santé du domaine

> Renvoie les diagnostics d’intégrité destinés aux clients pour un domaine.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.fr.json GET /v1/public/accounts/{account_id}/domains/{domain}/health
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains/{domain}/health:
    get:
      tags:
        - public-accounts
        - public-domains
      summary: Obtenir l’état de santé du domaine
      description: >-
        Renvoie les diagnostics d’intégrité destinés aux clients pour un
        domaine.
      operationId: >-
        get_public_domain_health_v1_public_accounts__account_id__domains__domain__health_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: domain
          required: true
          schema:
            title: Domain
            type: string
        - in: query
          name: refresh
          required: false
          schema:
            default: false
            title: Refresh
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainHealthResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainHealthResponse:
      properties:
        cache_ttl_seconds:
          title: Durée du cache en secondes
          type: integer
        cached:
          title: En cache
          type: boolean
        checked_at:
          title: Vérifié à
          type: string
        checks:
          $ref: '#/components/schemas/DomainHealthChecks'
        domain_id:
          format: uuid
          title: Id du domaine
          type: string
        domain_name:
          title: Nom de domaine
          type: string
        summary_status:
          enum:
            - healthy
            - warning
            - critical
            - unknown
          title: Statut récapitulatif
          type: string
        timings_ms:
          additionalProperties:
            type: integer
          title: Horaires Mme
          type: object
      required:
        - summary_status
        - checked_at
        - domain_id
        - domain_name
        - cached
        - cache_ttl_seconds
        - checks
        - timings_ms
      title: DomainHealthResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Détail
          type: array
      title: HTTPValidationError
      type: object
    DomainHealthChecks:
      description: Résultats de la sonde d’intégrité de domaine groupés.
      properties:
        dns:
          $ref: '#/components/schemas/DomainHealthDnsChecks'
        ports:
          $ref: '#/components/schemas/DomainHealthPortChecks'
        ssl:
          $ref: '#/components/schemas/DomainHealthProbeDetail'
        web:
          $ref: '#/components/schemas/DomainHealthHttpChecks'
      required:
        - dns
        - web
        - ssl
        - ports
      title: DomainHealthChecks
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Emplacement
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Type d erreur
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    DomainHealthDnsChecks:
      additionalProperties: true
      description: Sondes d'intégrité liées au DNS.
      properties:
        a:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        dkim:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        dmarc:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Erreur
        mx:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        ns:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        spf:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        status:
          enum:
            - healthy
            - warning
            - critical
            - unknown
          title: Statut
          type: string
      required:
        - status
      title: DomainHealthDnsChecks
      type: object
    DomainHealthPortChecks:
      additionalProperties: true
      description: Sondes d’accessibilité du port du service de messagerie.
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Erreur
        imap_143:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        imaps_993:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        smtp_25:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        status:
          enum:
            - healthy
            - warning
            - critical
            - unknown
          title: Statut
          type: string
        submission_587:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
      required:
        - status
      title: DomainHealthPortChecks
      type: object
    DomainHealthProbeDetail:
      additionalProperties: true
      description: Statut et détails d’une sonde d’intégrité de domaine individuel.
      properties:
        actual:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Réel
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        days_remaining:
          anyOf:
            - type: integer
            - type: 'null'
          title: Jours restants
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Erreur
        expected:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Attendu
        expires_at:
          anyOf:
            - type: string
            - type: 'null'
          title: expire à
        issuer:
          anyOf:
            - type: string
            - type: 'null'
          title: Émetteur
        record:
          anyOf:
            - type: string
            - type: 'null'
          title: Enregistrement
        records:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Enregistrements
        status:
          enum:
            - healthy
            - warning
            - critical
            - unknown
          title: Statut
          type: string
        status_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Code d'état
      required:
        - status
      title: DomainHealthProbeDetail
      type: object
    DomainHealthHttpChecks:
      additionalProperties: true
      description: Sondes d'accessibilité HTTP et HTTPS.
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Erreur
        http_root:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        http_www:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        https_root:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        https_www:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        status:
          enum:
            - healthy
            - warning
            - critical
            - unknown
          title: Statut
          type: string
      required:
        - status
      title: DomainHealthHttpChecks
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````